<script setup>
    const props = defineProps({
        base_64_image: {
            type: String
        }
    });

    const emit = defineEmits(["image"]);

    const showCropper = ref(false);
    const showImage = computed(() => {
        return props.base_64_image != null;
    })

    function toggleCropper() {
        showCropper.value = !showCropper.value;
    }

    function loadImage(value) {
        emit("image", value);
    }

</script>
<template>
    <div class="relative flex justify-around h-[243px] bg-white shadow-las rounded-lg hover:cursor-pointer" @click="toggleCropper()">
        <img src="/images/upload.svg" width="22px" height="22px" class="absolute right-4 top-4 hover:cursor-pointer">
        <img v-if="showImage" :src="base_64_image">
        <img v-else src="/images/default_img.svg" width="43px" height="43px">
    </div>
    <div v-if="showCropper" class="overlay">
        <div class="fixed top-20 left-2/4 half_translated z-50 min-w-96">
            <FormCropper @close="toggleCropper()" @image="(value) => loadImage(value)"/>
        </div>
    </div>
</template>
<style>
    .half_translated {
        transform: translate(-50%, 0%);
    }
    .overlay {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.5);
        z-index: 40;
    }
</style>